import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import ElementUI from 'element-ui'
import './assets/element-variables.scss'
import core from '../src/utils/core'
import {
    post,
    get,
    del,
    put
} from './utils/http';
import api from './utils/api';
import './util/rem'

Vue.use(ElementUI);

Vue.prototype.core=core
Vue.prototype.api = api;
Vue.prototype.$get = get;
Vue.prototype.$post = post;
Vue.prototype.$del = del;
Vue.prototype.$put = put;

Vue.config.productionTip = false

router.beforeEach((to, from, next) => {
    if (to.meta.title) {
        document.title = to.meta.title
    }
    next()
})


new Vue({
    router,
    store,
    render: h => h(App)
}).$mount('#app')