import Vue from 'vue'
import VueRouter from 'vue-router'

Vue.use(VueRouter)

const routes = [
    {
        path: '/',
        component: resolve => require(['../views/Home.vue'], resolve),
        meta: {
            title: '首页'
        },
    }, {
        path: '/program',
        component: resolve => require(['../views/Program.vue'], resolve),
        meta: {
            title: '编程类'
        },
    }, {
        path: '/transaction',
        component: resolve => require(['../views/Transaction.vue'], resolve),
        meta: {
            title: '交易类'
        },
    }, {
        path: '/tool',
        component: resolve => require(['../views/Tool.vue'], resolve),
        meta: {
            title: '工具类'
        },
    }, {
        path: '/flow',
        component: resolve => require(['../views/Flow.vue'], resolve),
        meta: {
            title: '流程类'
        },
    }, {
        path: '/catalog',
        component: resolve => require(['../views/Catalog.vue'], resolve),
        meta: {
            title: '目录树'
        },
    }, {
        path: '/loan',
        component: resolve => require(['../views/Loan.vue'], resolve),
        meta: {
            title: '贷款申请表'
        },
    }, {
        path: '/process',
        component: resolve => require(['../components/Process.vue'], resolve),
        meta: {
            title: '业务编写页面'
        },
    }, {
        path: '/set',
        component: resolve => require(['../components/Set.vue'], resolve),
        meta: {
            title: '业务已设置'
        },
    },

    // 科大川大
    {
        path: '/list',
        component: resolve => require(['../views/List.vue'], resolve),
        meta: {
            title: '编程类'
        },
    },
    {
        path: '/programOptions',
        component: resolve => require(['../views/ProgramOptions.vue'], resolve),
        meta: {
            title: '编程类'
        },
    },
    {
        path: '/programOption',
        component: resolve => require(['../views/ProgramOption.vue'], resolve),
        meta: {
            title: '编程类'
        },
    },
]

const router = new VueRouter({
    mode: 'hash',
    base: process.env.BASE_URL,
    routes
})

export default router